#include <iostream>

using namespace std;

int main()
{
    int t;
    cin >> t;
    long long n[t], m[t], k[t], resenje, brojUcenikaUGrupi, najvecaGrupa;
    
    for(int i = 0; i < t; i++)
    {
        cin >> n[i] >> m[i] >> k[i];
    }
    
    for(int i = 0; i < t; i++)
    {
        if(n[i]>=k[i])
        {
            if(n[i]%k[i]==0)
            {
                brojUcenikaUGrupi = n[i]/k[i];
                resenje = k[i]*((brojUcenikaUGrupi+(brojUcenikaUGrupi*brojUcenikaUGrupi))/2);
                if(resenje<=m[i])
                {
                    cout << "Tak" << endl;
                }
                else
                {
                    cout << "Nie" << endl;
                }
            }
        
            else if(n[i]%k[i]!=0)
            {
                brojUcenikaUGrupi = n[i]/k[i];
                najvecaGrupa = brojUcenikaUGrupi+n[i]%k[i];
        resenje = (k[i]-1)*((brojUcenikaUGrupi+(brojUcenikaUGrupi*brojUcenikaUGrupi))/2)+(najvecaGrupa+(najvecaGrupa*najvecaGrupa))/2;
                if(resenje<=m[i])
                {
                    cout << "Tak" << endl;
                }
                else
                {
                    cout << "Nie" << endl;
                }
            }
        }
        
        else
        {
            cout << "Nie" << endl;
        }
    }

    return 0;
}